package com.jeelowcode.core.framework.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum ApproveStatusEnum {

    UNAPPROVED(0, "未发起"),

    APPROVING(1, "审批中"),
    APPROVED(2, "已审批"),
    REJECTED(3, "已驳回"),
    INVALID(4, "已作废");

    /**
     * 脚本编号
     */
    private final int code;
    /**
     * 脚本描述
     */
    private final String desc;

    public static final String codeField ="ApproveStatus";
    public static final String nameField ="ApproveStatusName";

}
